<ion-content>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{ 'Home >> Requests' | translate }}</ion-label>
    </ion-item>
  </ion-toolbar>
  <ion-refresher slot="fixed" (ionRefresh)="refresh($event)">
    <ion-refresher-content pullingIcon="arrow-down" refreshingSpinner="circles">
    </ion-refresher-content>
  </ion-refresher>
  <div *ngIf="society != null && !residentService.isProgressing()">
    <ion-list *ngFor="let visitorLog of visitorLogs; index as i">
      <ion-card (click)="addLog(i)">
        <ion-item>
          <ion-avatar slot="start">
            <img [src]="visitorLog.visitor.profilePicture.content">
          </ion-avatar>
          <ion-label>{{visitorLog?.visitor?.name}}</ion-label>
        </ion-item>
        <div>
          <ion-grid>
            <ion-row>
              <ion-label>
                <ion-icon name="person"></ion-icon>
                {{visitorLog?.contactPerson?.name}}
              </ion-label>
            </ion-row>
            <ion-row>
              <ion-label>
                <ion-icon name="home"></ion-icon>
                {{visitorLog?.visitingTo?.name}}
              </ion-label>
            </ion-row>
            <ion-row>
              <ion-label>
                <ion-icon name="time"></ion-icon>
                {{getLocalTime(visitorLog.timeIn) | date:'medium'}}
              </ion-label>
            </ion-row>
            <ion-row>
              <ion-label>
                <ion-icon name="exit"></ion-icon>
                {{getLocalTime(visitorLog.timeOut) | date:'medium'}}
              </ion-label>
            </ion-row>
            <ion-row>
              <ion-chip color="success" *ngIf="visitorLog.approvalStatus === 'Approved'">
                <ion-icon name="checkmark"></ion-icon>
                <ion-label>{{ 'Approved' | translate }}</ion-label>
              </ion-chip>
              <ion-chip color="danger" *ngIf="visitorLog.approvalStatus === 'Rejected'">
                <ion-icon name="close"></ion-icon>
                <ion-label>{{ 'Rejected' | translate }}</ion-label>
              </ion-chip>
              <ion-chip color="warning" *ngIf="visitorLog.approvalStatus === 'Hold'">
                <ion-icon name="hand"></ion-icon>
                <ion-label>{{ 'Hold' | translate }}</ion-label>
              </ion-chip>
              <ion-chip color="primary" *ngIf="visitorLog.approvalStatus === 'Pending'">
                <ion-icon name="stopwatch"></ion-icon>
                <ion-label>{{ 'Pending' | translate }}</ion-label>
              </ion-chip>
            </ion-row>
          </ion-grid>
        </div>
      </ion-card>
    </ion-list>
    <ion-card *ngIf="visitorLogs?.length == 0 && !residentService.isProgressing()">
      <ion-item>
        <ion-label>{{ 'No records found!!!' | translate }}</ion-label>
      </ion-item>
    </ion-card>
  </div>
  <ion-infinite-scroll threshold="100px" (ionInfinite)="loadData($event)">
    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading ...">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>
</ion-content>